<div class="tab-pane active" id="tab1">
    <div class="example-box-wrapper">
        <div class="row" style=" overflow-x: scroll;">
            <table class="table table-condensed table-bordered table-striped table-hover cf tableDaftar" style="font-size: 11px; color: black;">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Nama 
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            NIOP
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Nama Objek 
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Alamat Objek
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Kelurahan Objek
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Kecamatan Objek
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Nama Pemilik
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            Rekening
                        </th>
                        <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;">
                            #
                        </th>  
                    </tr>
                    <tr class="bg-default">
                        <td></td>
                        <td><input type="text" id="t_npwpd_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_nama_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_niop_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_namaobjek_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_alamatobjek_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_kelurahanobjek_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_kecamatankecamatan_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><input type="text" id="t_namapemilik_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                        <td><!--<input type="text" id="t_rekening_cari_0" class="form-control input-sm" onkeyup="calldatagrid()">--></td>
                        <td></td>
                    </tr>
                </thead>
                <tbody id="body_grid">
                </tbody>
                <tfoot>              
                    <tr>
                        <td colspan="11" class="text-center">
                            <div class="row">
                                <div class="col-sm-3 text-left">
                                    <span class="hiddene">
                                        <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                                            <option value="10">10</option>
                                            <option value="20">20</option>
                                            <option value="30">30</option>
                                            <option value="40">40</option>
                                            <option value="50">50</option>
                                        </select>
                                    </span>
                                </div>
                                <div class="col-sm-6" style="text-align: center">
                                    <center>
                                        <div id="paginatore"></div>
                                        <input type="hidden" id="s_idjenis" value="<?= $s_idjenis ?>">
                                        <input type="hidden" id="page" value="1">
                                    </center>
                                </div>
                                <div class="col-sm-3 text-right">
                                    <span class="hiddene">
                                        <p>
                                            <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                                        </p>  
                                    </span>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="modalCetakKartudata" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK KARTU DATA <?= strtoupper($jenisobjek['s_namajenis']) ?></b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Periode
                            </label>
                            <div class="col-md-4">
                                <input type="hidden" name="idwpobjekkartudata" id="idwpobjekkartudata">
                                <input type="text" class="form-control" name="periodekartudata" id="periodekartudata" value="<?= date('Y') ?>">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namawpkartudata" id="namawpkartudata" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwpkartudata" id="alamatwpkartudata" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama OP
                            </label>
                            <div class="col-md-9">
                                <input type="text" class="form-control" name="namaopkartudata" id="namaopkartudata" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat OP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatopkartudata" id="alamatopkartudata" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Mengetahui
                            </label>
                            <div class="col-md-9">
                                <select name="ttdmengetahuikartudata" id="ttdmengetahuikartudata" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Diperiksa
                            </label>
                            <div class="col-md-9">
                                <select name="ttddiperiksakartudata" id="ttddiperiksakartudata" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakKartuData()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakKartudata()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        datagrid($("#s_idjenis").val(), $("#page").val(), $("#rows").val(), direction);
    }

    function datagrid(s_idjenis, pagewp, row, direction) {
        $.post('<?= $this->url() ?>/dataGridWp/' + s_idjenis + '/' + pagewp + '/' + row + '/' + direction, {
            t_npwpd: $('#t_npwpd_cari_0').val(),
            t_nama: $('#t_nama_cari_0').val(),
            t_niop: $('#t_niop_cari_0').val(),
            t_namaobjek: $('#t_namaobjek_cari_0').val(),
            t_alamatobjek: $('#t_alamatobjek_cari_0').val(),
            t_kelurahanobjek: $('#t_kelurahanobjek_cari_0').val(),
            t_kecamatanobjek: $('#t_kecamatankecamatan_cari_0').val(),
            t_namapemilik: $('#t_namapemilik_cari_0').val(),
//            t_rekening: $('#t_rekening_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.gridwp);
            $("#rows").val(aa.rowswp);
            $("#page").val(aa.pagewp);
            $("#total_data").html(": " + aa.countwp);
            $("#total_halaman").html(": " + aa.total_halamanwp);
            $("#paginatore").html(aa.paginatorewp);
            $("#awaldata").html(aa.awaldatawp);
            $("#akhirdata").html(aa.akhirdatawp);
        });
    }

    function bukaCetakKartudata(a) {
        $.post('<?= $this->url() ?>/dataWPObjek', {idobjek: a}, function (data) {
            var aa = JSON.parse(data);
            $("#idwpobjekkartudata").val(aa.idobjek);
            $("#namawpkartudata").val(aa.namawp);
            $("#alamatwpkartudata").val(aa.alamatwp);
            $("#namaopkartudata").val(aa.namaop);
            $("#alamatopkartudata").val(aa.alamatop);
        });
        $('#modalCetakKartudata').modal('show');
    }

    function tutupCetakKartudata() {
        $('#modalCetakKartudata').modal('hide');
    }

    function cetakKartuData() {
        window.open('<?= $this->url() ?>/cetakkartudata?idobjek=' + $("#idwpobjekkartudata").val() + "&periode=" + $("#periodekartudata").val() + "&ttddiperiksa=" + $("#ttddiperiksakartudata").val() + "&ttdmengetahui=" + $("#ttdmengetahuikartudata").val());
    }

</script>
<style type="text/css">
    .combooperatorwpc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
    .tableDaftar {
        width: 100%;
        border-collapse: collapse;
    }
    .tableDaftar tr:hover {
        background: #edf968; 
    }
    .tableDaftar td {
        border: 1px solid #eee;
    }
    .highlight_row {
        background: #eee;
    }
</style>
